Bug 1821822 - F32, snmpd segfault after upgrade from F31
Summary: F32, snmpd segfault after upgrade from F31
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: net-snmp
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josef Ridky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-07 16:55 UTC by Patrick Dung
Modified: 2020-04-28 02:55 UTC (History)
3 users (show)

Fixed In Version: net-snmp-5.8-19.fc30 net-snmp-5.8-19.fc32 net-snmp-5.8-19.fc31
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-25 02:41:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Patrick Dung 2020-04-07 16:55:54 UTC
Description of problem:
System is fine in F31, after upgrading to F32, it had problem.

Version-Release number of selected component (if applicable):
net-snmp-5.8-17.fc32.x86_64

[  260.646751] snmpd[3230]: segfault at 814 ip 00007f2ff9f49cfe sp 00007fff48ef99e8 error 4 in libnetsnmpmibs.so.35.0.0[7f2ff9f33000+f9000]
[  260.646896] Code: 48 8b 05 35 db 14 00 48 8b 00 48 8b 80 70 08 00 00 48 d1 f8 83 e0 01 c3 0f 1f 40 00 f3 0f 1e fa 48 8b 05 15 db 14 00 48 8b 00 <81> b8 14 08 00 00 07 30 00 00 0f 94 c0 0f b6 c0 c3 90 f3 0f 1e fa

backtrace:
(gdb) bt
#0  0x00007f2ff9f49cfe in Check_HR_FileSys_AutoFs () from /lib64/libnetsnmpmibs.so.35
#1  0x00007f2ff9f48e52 in var_hrstore () from /lib64/libnetsnmpmibs.so.35
#2  0x00007f2ffa1e5cb9 in netsnmp_old_api_helper () from /lib64/libnetsnmpagent.so.35
#3  0x00007f2ffa1f4a17 in netsnmp_call_handler.part () from /lib64/libnetsnmpagent.so.35
#4  0x00007f2ffa1e12cc in netsnmp_bulk_to_next_helper () from /lib64/libnetsnmpagent.so.35
#5  0x00007f2ffa1f4a17 in netsnmp_call_handler.part () from /lib64/libnetsnmpagent.so.35
#6  0x00007f2ffa206126 in handle_var_requests () from /lib64/libnetsnmpagent.so.35
#7  0x00007f2ffa207222 in handle_pdu () from /lib64/libnetsnmpagent.so.35
#8  0x00007f2ffa207442 in netsnmp_handle_request () from /lib64/libnetsnmpagent.so.35
#9  0x00007f2ffa207a4b in handle_snmp_packet () from /lib64/libnetsnmpagent.so.35
#10 0x00007f2ff9da03ab in _sess_process_packet () from /lib64/libnetsnmp.so.35
#11 0x00007f2ff9da1416 in _sess_read () from /lib64/libnetsnmp.so.35
#12 0x00007f2ff9da1f4d in snmp_sess_read2 () from /lib64/libnetsnmp.so.35
#13 0x00007f2ff9da1f9b in snmp_read2 () from /lib64/libnetsnmp.so.35
#14 0x0000555bbc361d17 in receive () at snmpd.c:1341
#15 0x0000555bbc36107e in main (argc=<optimized out>, argv=<optimized out>) at snmpd.c:1125

Comment 1 Fedora Update System 2020-04-09 16:26:06 UTC
FEDORA-2020-c3ab547325 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c3ab547325

Comment 2 Fedora Update System 2020-04-09 16:26:07 UTC
FEDORA-2020-44b769adaf has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-44b769adaf

Comment 3 Fedora Update System 2020-04-09 16:26:10 UTC
FEDORA-2020-7303a69282 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-7303a69282

Comment 4 Patrick Dung 2020-04-09 16:39:18 UTC
After upgrading to the new rpm, it does not crash now.

Comment 5 Fedora Update System 2020-04-10 16:56:28 UTC
FEDORA-2020-c3ab547325 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c3ab547325`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c3ab547325

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-04-10 21:36:57 UTC
FEDORA-2020-44b769adaf has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-44b769adaf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-44b769adaf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-04-11 18:51:02 UTC
FEDORA-2020-7303a69282 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-7303a69282`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7303a69282

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-04-25 02:41:02 UTC
FEDORA-2020-44b769adaf has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-04-26 02:50:47 UTC
FEDORA-2020-7303a69282 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-04-28 02:55:58 UTC
FEDORA-2020-c3ab547325 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.